Subject: [Healeys] gear box drain tool

From: Richard Kahn <[email-masked]>
Date: Wed, 31 Jul 2013 16:20:37 -0700 FILETIME=[90B897E0:01CE8E44]

You really don't want to mess up the soft brass drain plug. I got my tool from
BCS and it makes life much easier. I also got the square piece that goes into
the other drain plug and differential filler plug from them (I welded a handle
to it for leverage).  A BFH isn't always the answer. I also have the rear axle
socket. Considering the value of these cars and the cost and quality of
replacement parts the right tools are priceless. You also get a better,
tighter seal with  these tools.
Rich Kahn
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys